Bug Hunting Session
Bug 91726 - AutoFormat: Crash when using an existing name for a new preset
Summary: AutoFormat: Crash when using an existing name for a new preset
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: All All
: high major
Assignee: Julien Nabet
URL:
Whiteboard: target:5.1.0 target:4.4.5 target:5.0...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2015-05-29 17:04 UTC by Jonas Müller
Modified: 2018-11-21 06:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (11.69 KB, text/plain)
2015-05-31 10:09 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Müller 2015-05-29 17:04:05 UTC
Follow these steps:

1. Open Calc
2. Highlight The cells from A1 to D4
3. Go the Format - AutoFormat
4. Click "add" and enter an already existing name like "Grün" (German LibreOffice) or "Green" (English LibreOffice)
5. LibreOffice will crash.

Sometimes the recovery dialogue can save the document but sometimes LibreOffice will just vanish and all progress is lost.

However LibreOffice (English + German!) will not crash when choosing the name "Standard" which is a pre-existing preset only in German LibreOffice. Instead an error message appears telling you that an illegal name was entered.

Please extend this check to all preset names and add an option to overwrite the currently existing preset.

(I might add that the AutoFormat dialogue is also very confusing. It doesn't tell about the 4x4 requirement for creating a new preset and users have to guess or check the LibreOffice wiki. The space for the preset names is not wide enough with LibreOffice set to German and when switching languages in LibreOffice your preset will be deleted if there is already a preset with the same name in the new language.)

Tested on LibreOffice 4.4.3.2 and nightly 5.0 2015-05-28 Windows.
Comment 1 MM 2015-05-29 19:58:13 UTC
Confirmed with v4.4.3.2 under windows 7 x64.
Confirmed with v5.0.0.0 b1 under mint 17.1 x64.

Crash when I type in 'green' and press 'OK'.
Comment 2 Julien Nabet 2015-05-31 10:09:26 UTC
Created attachment 116191 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2015-05-31 20:02:36 UTC
Just for information, I submitted a patch for review here:
https://gerrit.libreoffice.org/#/c/16000/
Comment 4 Commit Notification 2015-06-03 11:06:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3807946b5515e943169da907866c93b52a2b3f19

tdf#91726: AutoFormat: Crash when using an existing name

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2015-06-03 20:53:37 UTC
Pending gerrit review:
5.0: https://gerrit.libreoffice.org/#/c/16055/
4.4: https://gerrit.libreoffice.org/#/c/16056/
Comment 6 Commit Notification 2015-06-09 10:35:07 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78468b1cd267e3020173b11007922a509d2941ba&h=libreoffice-4-4

tdf#91726: AutoFormat: Crash when using an existing name

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-09 18:56:26 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa8b2b2b973843001ee2fd85ffc8e8e4d8b659fb&h=libreoffice-5-0

tdf#91726: AutoFormat: Crash when using an existing name

It will be available in 5.0.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-11-21 06:25:00 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/994a858d098287733dd9997ca79b4bd6e8956937%5E%21

uitest for bug tdf#91726

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.